<?php
include('/home/worksmidiacom/cirurgiadeuroemcadaveres/config/cirurgiadeuroemcadaveres.config.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['file']) && isset($_POST['fileNumber']) && isset($_POST['id_curso'])) {
    $file = $_FILES['file'];
    $fileNumber = $_POST['fileNumber'];
    $id_curso = $_POST['id_curso'];

    /*switch ($fileNumber) {
        case 1:
            $tipo_nm = 'arquivo_1';
        break;
    }*/

    $uploadDir = DIR_BASE.'assets/imagens/';
	$nameFile = basename($file['name']);
    $uploadFile = $uploadDir . uniqid() . '_' . basename($file['name']);

    if (move_uploaded_file($file['tmp_name'], $uploadFile)) {
        echo 'Arquivo ' . $fileNumber . ' enviado com sucesso!';
		$sql = $conecta->query("INSERT INTO fotos(id_curso, imagem, legenda_br, legenda_de, legenda_fr, legenda_es, legenda_us) VALUES ('".$id_curso."','".$nameFile."','-','-','-','-','-')");
		unlink($uploadFile);
    } else {
        echo 'Erro ao fazer upload do arquivo ' . $fileNumber . '.';
    }
} else {
    echo 'Requisição inválida.';
}

/*if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['file']) && isset($_POST['fileNumber']) && isset($_POST['email'])) {
    $file = $_FILES['file'];
    $fileNumber = $_POST['fileNumber'];
    $email = $_POST['email'];

    switch ($fileNumber) {
        case 1:
            $tipo_nm = 'Foto_3_4';
            break;
        case 2:
            $tipo_nm = 'CRM';
            break;
        case 3:
            $tipo_nm = 'nada_consta';
            break;
        case 4:
            $tipo_nm = 'taxa';
            break;
    }
	
	// Adicione essas mensagens de log no seu script PHP para depurar
error_log('Script PHP iniciado - ' . date('Y-m-d H:i:s'));
error_log('Email recebido: ' . $email);
error_log('Número do arquivo: ' . $fileNumber);
// Restante do código

    $uploadDir = 'uploads/';
    $uploadFile = $uploadDir . uniqid() . '_' . basename($file['name']);

    if (move_uploaded_file($file['tmp_name'], $uploadFile)) {
        $pdf_content = file_get_contents($uploadFile);
        $base64_pdf = base64_encode($pdf_content);
        echo 'Arquivo ' . $fileNumber . ' enviado com sucesso!';
        $sql = $conecta->query("INSERT INTO uploads(arquivo, tipo, email) VALUES ('".$base64_pdf."','".$tipo_nm."','".$email."')");
    } else {
        echo 'Erro ao fazer upload do arquivo ' . $fileNumber . '.';
    }
} else {
    echo 'Requisição inválida.';
}*/
?>
